summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMichael Mair-Keimberger <m.mairkeimberger@gmail.com>2019-05-26 10:41:59 +0200
committerAaron Bauman <bman@gentoo.org>2019-11-29 17:10:09 -0500
commit811c87ddf49a802d60fd0cdab313f2ee25d6c958 (patch)
treeb7cb898d9520a596a052656631af87812a2632f1 /dev-libs/libtompoly
parentdev-libs/libtompoly: fix HOMEPAGE (diff)
downloadgentoo-811c87ddf49a802d60fd0cdab313f2ee25d6c958.tar.gz
gentoo-811c87ddf49a802d60fd0cdab313f2ee25d6c958.tar.bz2
gentoo-811c87ddf49a802d60fd0cdab313f2ee25d6c958.zip
dev-libs/libtompoly: EAPI=7 bump
Closes: https://bugs.gentoo.org/686776 Signed-off-by: Michael Mair-Keimberger <m.mairkeimberger@gmail.com> Closes: https://github.com/gentoo/gentoo/pull/12112 Signed-off-by: Aaron Bauman <bman@gentoo.org>
Diffstat (limited to 'dev-libs/libtompoly')
-rw-r--r--dev-libs/libtompoly/libtompoly-0.04-r1.ebuild32
1 files changed, 32 insertions, 0 deletions
diff --git a/dev-libs/libtompoly/libtompoly-0.04-r1.ebuild b/dev-libs/libtompoly/libtompoly-0.04-r1.ebuild
new file mode 100644
index 00000000000..ad8ee80f189
--- /dev/null
+++ b/dev-libs/libtompoly/libtompoly-0.04-r1.ebuild
@@ -0,0 +1,32 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit toolchain-funcs
+
+DESCRIPTION="portable ISO C library for polynomial basis arithmetic"
+HOMEPAGE="http://www.libtom.net/"
+SRC_URI="https://github.com/libtom/libtompoly/releases/download/${PV}/ltp-${PV}.tar.bz2"
+
+LICENSE="WTFPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~x86"
+
+DEPEND="dev-libs/libtommath"
+RDEPEND="${DEPEND}"
+
+src_prepare() {
+ default
+ sed -i \
+ -e 's:\<ar\>:$(AR):' \
+ -e "/^LIBPATH/s:/lib:/$(get_libdir):" \
+ makefile || die
+ tc-export AR CC
+}
+
+src_install() {
+ default
+ dodoc changes.txt pb.pdf
+ docinto demo ; dodoc demo/demo.c
+}